[REL] ProMods 2.30+ Legacy Compatibility [1.31/1.32/1.33] [Upd 2018-11-29]

You can share and discuss other map mods here
User avatar
WolfGuy100
Posts: 26
Joined: 15 Feb 2015 04:15
Donation rank:

28 Nov 2018 23:33

ID777, I'm not even sure if it will work without that fix, I hadn't tested it out yet since I just opened ETS2 and put in new ProMods version.

Tartanarmy1967
Posts: 2
Joined: 01 Mar 2018 16:35
Donation rank:

29 Nov 2018 00:36

ID777 it shows as incompatible with the game version.

I stupidly clicked it off my mods and now I can't get it seen by the game.

I am experiencing crashes once in game for a short period of time on my original saves, I need to test more on my new created save. which I cannot run RusMap as the game crashes on loading.

User avatar
WolfGuy100
Posts: 26
Joined: 15 Feb 2015 04:15
Donation rank:

29 Nov 2018 00:54

It might explain why my original profile crashed when I loaded it up. I guess I need to wait until a fix come out.

User avatar
ShirBlackspots
Posts: 224
Joined: 13 Apr 2016 00:30
Donation rank:

29 Nov 2018 02:21

You all are terrible at reading: viewtopic.php?p=245166#p245166

User avatar
kimmerya
Posts: 33
Joined: 07 Jan 2018 18:13

29 Nov 2018 05:29

With ProMods 2.30+ Legacy Compatibility
Youtube channel for combo maps : https://www.youtube.com/TektekerHaydar/videos
Facebook : https://www.facebook.com/groups/ETS2.Share.Group/
Promods 2.31 + 10 maps combo
Eastern Express v10.10 + Mapa EAA 4.6 + ROC Map 1.31 + Island Map
ETS2 1.31 Map Puno Perú V.1.7
ETS2 1.32 Hungary Map

CAPLV
Posts: 852
Joined: 11 Apr 2016 13:30
Donation rank:
Location: Jelgava

29 Nov 2018 07:06

btw.. rusmap/southern region map/steppe + all other compatible maps works great w/o this fix.. but.. w/o Promods map.. so i`m confused.. why promods doesnt fix this in their mod.. :)
Image
ETS 2 v.1.33.x+Promods 2.32+RusMap 1.8.1+Southern Region 7.5+The Great Steppe 1.2+//Roextended 2.0(S/P)+Paris RB 2.3+ScandinaviaMod 0.4.1+Sardinia 0.9.1+Swedish Islands 0.99//+Turkey 1.4

User avatar
bmwGTR
Moderator
Posts: 1545
Joined: 10 Jul 2016 11:52
Location: Riegersburg resp. Graz

29 Nov 2018 08:40

Hi,

there is nothing ProMods has to fix - ProMods just got rid of old Prefabs (and disables them) which other Map mods are still using.
In my opinion the Map modders have to get rid of those old Prefabs in their mods.

Best regards,
bmwGTR
ETS2: ProMods 2.32 + RusMap 1.8.1 + Emden 1.02c + Sardinia Addon 0.9.1 + Paris Rebuild 2.3 + Southern Region 7.5.0
ATS: Coast to Coast 2.7.1 + Viva Mexico 2.4.8 + Canadream 2.7.1 + US Expansion 2.4 + Project Going North 0.7.5


ProMods Moderator since April 2018

Image

MachTMS
Posts: 5
Joined: 02 Dec 2017 03:46

29 Nov 2018 14:20

No, it's not working, the game crashes at loading....If u guys want to play ProMods, you need to disable all other map mods.
ETS 2 v.1.33.x + ProMods 2.32 + RusMap 1.8 + The Great Steppe 1.2 + (Paris Rebuild v2.3)
ATS v.1.33.x + C2C 2.4.7 + CanaDream 2.5.7 + Viva Mexico 2.4.7

CAPLV
Posts: 852
Joined: 11 Apr 2016 13:30
Donation rank:
Location: Jelgava

29 Nov 2018 14:41

thats not true.. you can see in my signature.. i``m playing with all these maps and Promods.. :D
Image
ETS 2 v.1.33.x+Promods 2.32+RusMap 1.8.1+Southern Region 7.5+The Great Steppe 1.2+//Roextended 2.0(S/P)+Paris RB 2.3+ScandinaviaMod 0.4.1+Sardinia 0.9.1+Swedish Islands 0.99//+Turkey 1.4

digitalxak
Posts: 51
Joined: 16 Aug 2014 14:56
Location: UK.

29 Nov 2018 18:33

You have the 2.30 Legacy fix as well as spruce fix CAPLV? The game keeps saying it is not compatible (the 2.30 legacy fix) as far as I know it's the latest version. I am following the stickied load order.



Locked
  • Information